#!/bin/bash

## Linux MySQL Dump Shell Script
##         Version 1
##    Released 09/01/2005
##  Written by Blake Wischer
##   http://bjwonline.com

## This program falls under the GNU General Public License

## ABSOLUTELY NO WARRANTY.
## Licensed under The GNU General Public License version 2.
## This is free software, and you are welcome to redistribute
## it under the conditions of the GNU GPL.

## This program gets todays date using the date command with perimeters.
## It then dumps and compress all MySQL databases on the server.
## It has been tested on Debian based systems but should work with most linux systems.

## IMPORTANT ##
## You will be asked for the root password for the machine so they program can access all databases.

## To make this script executable run the command  # chmod +x linux_mysql_dump_shell_script.sh
## Suggestion: Make a Backup Directory in / and put the script in there to run it.

## Sets what the date is for today.
today=`date +%Y_%m_%d`

## Uses the MySQL Dump command to dump all databases on the local machine using the root account to a GZipped SQL File.
mysqldump -h localhost -u root -p -A | gzip > MySQL_Dump_$today.sql.gz